Mail archive
alpine-aports

[alpine-aports] [PATCH 1/4] testing/perl-test-simple: remove man pages

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Fri, 29 Jan 2016 23:39:01 +0100

They seem to be already provided by perl-doc. Installing perl-doc and
perl-test-simple-doc should thus result in a conflict.
---
 testing/perl-test-simple/APKBUILD | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/testing/perl-test-simple/APKBUILD b/testing/perl-test-simple/APKBUILD
index 64b42e5..6229b87 100644
--- a/testing/perl-test-simple/APKBUILD
+++ b/testing/perl-test-simple/APKBUILD
_at_@ -4,7 +4,7 @@
 pkgname=perl-test-simple
 pkgver=1.001014
 _pkgreal=Test-Simple-$pkgver
-pkgrel=0
+pkgrel=1
 pkgdesc="Basic utilities for writing tests."
 url="http://search.cpan.org/dist/Test-Simple/"
 arch="noarch"
_at_@ -13,11 +13,10 @@ cpandepends=""
 cpanmakedepends=""
 depends="$cpandepends"
 makedepends="perl-dev $cpanmakedepends"
-subpackages="$pkgname-doc"
+subpackages=""
 source="http://search.cpan.org/CPAN/authors/id/E/EX/EXODIST/$_pkgreal.tar.gz"
 
 _builddir="$srcdir/$_pkgreal"
-
 prepare() {
 	cd "$_builddir"
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
_at_@ -32,6 +31,9 @@ package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+
+	# man pages are already provided by perl-doc
+	rm -rf "$pkgdir"/usr/share/man || return 1
 }
 
 md5sums="db7f57fd595e3e1c93c972307a88fa6e  Test-Simple-1.001014.tar.gz"
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jan 29 2016 - 23:39:01 GMT